﻿using Infragistics.Controls.Editors;
using Infragistics.Controls.Grids;
using Infragistics.Controls.Grids.Primitives;
using Infragistics.Windows;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Controls.Primitives;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace CASE_183930
{
    /// <summary>
    /// MainWindow.xaml の相互作用ロジック
    /// </summary>
    public partial class MainWindow : Window
    {
        ObservableCollection<TestData> testData = null;
        public MainWindow()
        {
            InitializeComponent();

            testData = new ObservableCollection<TestData>();

            testData.Add(new TestData { Type = "color", Value = DateTime.Today.AddDays(1).AddHours(10).AddMinutes(3).AddSeconds(55) });
            testData.Add(new TestData { Type = "image", Value = DateTime.Today.AddDays(2).AddHours(1).AddMinutes(20).AddSeconds(15) });
            testData.Add(new TestData { Type = "font", Value = DateTime.Today.AddDays(3).AddHours(3) });
            testData.Add(new TestData { Type = "color", Value = new DateTime() });
            testData.Add(new TestData { Type = "image", Value = DateTime.Today.AddDays(2) });
            testData.Add(new TestData { Type = "font", Value = new DateTime() });

            this.DataContext = testData;
        }
    }

    public class TestData : INotifyPropertyChanged
    {
        private String m_type;
        public String Type
        {
            get { return m_type; }
            set
            {
                m_type = value;
                NotifyPropertyChanged("Type");
            }
        }

        private DateTime m_value;
        public DateTime Value
        {
            get { return m_value; }
            set
            {
                m_value = value;
                NotifyPropertyChanged("Value");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void NotifyPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }
    }

    class MyConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            DateTime val = (DateTime)value;

            if (val.Equals(new DateTime()))
            {
                return null;
            }
            else
            {
                return value;
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return value;
        }
    }
}
